Static Ads Lab
API ReferenceImagesV1Images

List images

GET
/v1/images
X-API-Key<token>

API key for authentication. Include in the X-API-Key header.

In: header

Query Parameters

limit?number
Default20
Range1 <= value <= 100
starting_after?string
product_id?string
image_type?string
Value in"product" | "lifestyle" | "logo" | "background" | "other"

Response Body

curl -X GET "https://api.staticadslab.com/v1/images?limit=20&starting_after=string&product_id=string&image_type=product"
{
  "data": [
    {
      "id": "img_a1b2c3d4e5f67890",
      "src": "https://cdn.staticadslab.com/images/img_abc.png",
      "width": 1200,
      "height": 800,
      "format": "png",
      "size_bytes": 245000,
      "alt_text": "string",
      "image_type": "product",
      "is_ai_generated": true,
      "logo_theme": "string",
      "product_id": "string",
      "thumbnail_small_src": "string",
      "thumbnail_medium_src": "string",
      "thumbnail_large_src": "string",
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "has_more": true,
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}